Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.groovy.scripts
Enum CachePropertiesHandler.CacheState

    java.lang.Object
      java.lang.Enum<CachePropertiesHandler.CacheState>
          org.gradle.groovy.scripts.CachePropertiesHandler.CacheState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CachePropertiesHandler.CacheState>

Enclosing interface:
  CachePropertiesHandler

    public static enum CachePropertiesHandler.CacheState

extends java.lang.Enum<CachePropertiesHandler.CacheState>

Enum Constant Summary
`INVALID`
`VALID`

Method Summary
`static CachePropertiesHandler.CacheState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CachePropertiesHandler.CacheState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VALID

    public static final CachePropertiesHandler.CacheState VALID

### INVALID

    public static final CachePropertiesHandler.CacheState INVALID

Method Detail

### values

    public static final CachePropertiesHandler.CacheState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CachePropertiesHandler.CacheState c : CachePropertiesHandler.CacheState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CachePropertiesHandler.CacheState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD